package com.liang.entity;

import lombok.Data;

import java.sql.Date;
import java.io.Serializable;

/**
 * (SysUserPost)实体类
 *
 * @author makejava
 * @since 2023-03-17 09:33:51
 */
@Data
public class SysUserPost implements Serializable {
    private static final long serialVersionUID = 965634229231220244L;
    /**
     * 用户ID
     */
    private Integer userId;
    private String account;
    private String name;
    /**
     * 岗位编码
     */
    private Integer postId;
    private String postName;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 部门名称
     */
    private String deptName;

    public SysUserPost() {
    }


    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getPostId() {
        return postId;
    }

    public void setPostId(Integer postId) {
        this.postId = postId;
    }

    public String getPostName() {
        return postName;
    }

    public void setPostName(String postName) {
        this.postName = postName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}

